DeleteServiceAccount
/api/v1/serviceaccounts/{service_account}Delete a service account, which stops its API key working. Deleting it keeps the record for a grace period so that it can be undeleted.
Example request
Section titled “Example request”curl -X DELETE \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/serviceaccounts/{service_account}"Set OBLIQUE_API_KEY to your API key.
curl -X DELETE \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/serviceaccounts/{service_account}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequiredThe name of the service account to delete.
Response
Section titled “Response”200ServiceAccountService accounts are dynamically created users that can authenticate to the API. They can be associated with API keys, and in the future will be able to authenticate automation using workload identities.
Administrators can create service accounts with associated API keys.
namestringAssigned by Oblique. The name of the service account API object. This is an arbitrary string and does not have to match the user’s name.
displayNamestringrequiredThe display name of the service account.
apiKeystringread-onlyThe API key of the service account. This is only returned once during the
CreateServiceAccountcall, and is not available after that. API keys use the formatobl-svc-[0-9a-fA-F_\-]+.To use a service account, provide it as a bearer token in the Authorization header:
Authorization: Bearer <api_key>.apiKeyOpaquestringread-onlyA safe version of the API key that is always returned and can be displayed to users. This replaces a significant portion of the API key with asterisks, and can be used to identify the service account without using the key itself.
createTimestring (date-time)read-onlyThe time the service account was created.
updateTimestring (date-time)read-onlyThe time the service account was last updated.
deleteTimestring (date-time)read-onlyThe time the service account was deleted, effectively revoking it.
lastUsedTimestring (date-time)read-onlyThe time the service account was successfully used. This does not include requests that are blocked by the service account’s permissions.
creatorKindstringread-onlyThe kind of the creator of the service account.
creatorstringread-onlyThe creator of the service account. Will only be present if
creator_kindisUSER.Format:
users/{user}permissionsstringrequired
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |